[Contents] [Prev] [Next] [Index] [Report an Error]

# Configuring BSR and RP Candidates for PIM Sparse Mode

When choosing candidate BSRs or candidate RPs, select well-connected routers in the core of the network.

Typically, candidate BSRs are a subset of the candidate RPs. A single BSR is elected for the domain the set of candidate BSRs. The elected BSR floods bootstrap messages (BSMs) containing their group-to-RP mappings to all PIM routers. PIM routers use the group-to-RP mappings supplied by the elected (or preferred) BSR.

Candidate RPs are routers that are capable of performing as a rendezvous point router for one or more multicast groups. Candidate RPs periodically advertise the set of groups they support to BSRs. A candidate RP may support all the multicast group address range or any subset thereof. You can achieve redundancy by configuring more than one candidate RP for a group or range of groups.

ipv6 pim bsr-candidate

- Use to define a router as a BSR candidate.
- To assign an interface from which the router should send messages, specify an interface type and specifier, such as atm 3/0. For details about interface types and specifiers, see Interface Types and Specifiers in JUNOSe Command Reference Guide.
- Specify a length (up to a 128 bits) for the hash mask length field sent in BSMs that the router originates. This mask is combined with the group address before the router calls the hash function. For example, specifying a value of 32 limits the group address to the first 32 bits. The default and maximum hash mask length is 126 bits.
- Use the priority keyword to specify a value for the BSR-priority field of BSMs that the router originates. In the BSR election process, the BSR with the higher priority is preferred. If the priority values are equal, the router with the higher IP address becomes the BSR. The default value is 0 (address comparison only).
- Use the period keyword to specify the interval (from 1 to 65535 seconds) at which the BSR sends bootstrap messages. The default value is 60 seconds.
- Example
  `
  host1(config)#ipv6 pim bsr-candidate loopback 1 30 10
  `
- Use the no version to stop the router from acting as a BSR candidate.
- See ipv6 pim bsr-candidate.

ipv6 pim rp-candidate

- Use to define a router as an RP router candidate.
- To assign an interface from which the router should send messages, specify an interface type and specifier, such as atm 3/0. For details about interface types and specifiers, see Interface Types and Specifiers in JUNOSe Command Reference Guide.
- Use the group-list keyword to specify an access list that contains the set of group prefixes supported by this candidate RP. If you do not specify a group list, the default is the entire multicast address range.

  | Note: You should not configure negative (that is, deny) access-list entries. BSR has no mechanism for distributing negative entries.

- Use the hold-time keyword to specify the amount of time the BSR keeps an RP in its candidate RP list if the BSR does not receive a candidate RP advertisement message. The default value is 150 seconds.
- Use the priority keyword to specify a priority field value that the candidate RP sends to the BSR in candidate RP advertisement messages. In the RP election process, the RP with the lower priority value is preferred. The default is 192.
- Use the interval keyword to specify an interval (from 1 to 65535 seconds) at which the candidate RP sends advertisement messages to the BSR. The default is 60 seconds.
- Example
  `
  host1(config)#ipv6 access-list 1 permit 1001::1
  host1(config)#ipv6 access-list 1 permit 1002::1
  host1(config)#ipv6 pim rp-candidate loopback 1 group-list 1
  `
- Use the no version to stop the router from acting as an RP candidate.
- See ipv6 pim rp-candidate.

[Contents] [Prev] [Next] [Index] [Report an Error]